## ros-noetic-rqt-ground-robot-teleop 1.4.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(rqt_ground_robot_teleop)

find_package(catkin REQUIRED COMPONENTS
	geometry_msgs
	rospy
	rqt_gui
	rqt_gui_py
	sensor_msgs
)

catkin_python_setup()

catkin_package()

install(PROGRAMS
	scripts/rqt_ground_robot_teleop
	DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY resource
	DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(FILES
	plugin.xml
	DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-noetic-rqt-ground-robot-teleop (1.4.2-1focal) focal; urgency=high

  * python-rospkg doesn't exist in noetic release, replacing with python3-rospkg
  * corrected maintainer
  * Contributors: Nikhil Khedekar, pariaspe

 -- Pedro Arias <pedroariasperez96@gmail.com>  Sun, 03 Oct 2021 22:00:00 -0000

ros-noetic-rqt-ground-robot-teleop (1.4.0-1focal) focal; urgency=high

  * Noetic release
  * Contributors: pariaspe

 -- Nikhil Khedekar <nikhilvkhedekar@gmail.com>  Thu, 22 Apr 2021 22:00:00 -0000

ros-noetic-rqt-ground-robot-teleop (1.3.8-1focal) focal; urgency=high



 -- Nikhil Khedekar <nikhilvkhedekar@gmail.com>  Tue, 13 Apr 2021 22:00:00 -0000

ros-noetic-rqt-ground-robot-teleop (1.3.7-1focal) focal; urgency=high



 -- Nikhil Khedekar <nikhilvkhedekar@gmail.com>  Sun, 28 Feb 2021 23:00:00 -0000

ros-noetic-rqt-ground-robot-teleop (1.3.6-1focal) focal; urgency=high



 -- Nikhil Khedekar <nikhilvkhedekar@gmail.com>  Mon, 11 Jan 2021 23:00:00 -0000

ros-noetic-rqt-ground-robot-teleop (1.3.5-1focal) focal; urgency=high



 -- Nikhil Khedekar <nikhilvkhedekar@gmail.com>  Mon, 28 Dec 2020 23:00:00 -0000

ros-noetic-rqt-ground-robot-teleop (1.3.4-1focal) focal; urgency=high



 -- Nikhil Khedekar <nikhilvkhedekar@gmail.com>  Sat, 27 Jun 2020 22:00:00 -0000

ros-noetic-rqt-ground-robot-teleop (1.3.3-1focal) focal; urgency=high



 -- Nikhil Khedekar <nikhilvkhedekar@gmail.com>  Tue, 09 Jun 2020 22:00:00 -0000

ros-noetic-rqt-ground-robot-teleop (1.3.2-1focal) focal; urgency=high



 -- Nikhil Khedekar <nikhilvkhedekar@gmail.com>  Tue, 05 May 2020 22:00:00 -0000

ros-noetic-rqt-ground-robot-teleop (1.3.1-1focal) focal; urgency=high

  * Fixing dependency on metapackage
  * Contributors: Pedro Arias

 -- Nikhil Khedekar <nikhilvkhedekar@gmail.com>  Thu, 13 Feb 2020 23:00:00 -0000

ros-noetic-rqt-ground-robot-teleop (1.2.0-1focal) focal; urgency=high

  * Adding ground_robots
  * Contributors: Pedro Arias

 -- Nikhil Khedekar <nikhilvkhedekar@gmail.com>  Mon, 10 Feb 2020 23:00:00 -0000

ros-noetic-rqt-ground-robot-teleop (0.0.1-1focal) focal; urgency=high

  * updated dependancies
  * added rqt_ground_robot_teleop
  * Contributors: Nikhil Khedekar

 -- Nikhil Khedekar <nikhilvkhedekar@gmail.com>  Sat, 17 Aug 2019 22:00:00 -0000

=== debian/control ===
Source: ros-noetic-rqt-ground-robot-teleop
Section: misc
Priority: optional
Maintainer: Pedro Arias <pedroariasperez96@gmail.com>
Build-Depends: debhelper (>= 9.0.0), python3-rospkg, ros-noetic-catkin, ros-noetic-geometry-msgs, ros-noetic-roslib, ros-noetic-rospy, ros-noetic-rqt-gui, ros-noetic-rqt-gui-py, ros-noetic-sensor-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-rqt-ground-robot-teleop
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-rospkg, ros-noetic-geometry-msgs, ros-noetic-roslib, ros-noetic-rospy, ros-noetic-rqt-gui, ros-noetic-rqt-gui-py, ros-noetic-sensor-msgs
Description: A common ground robot teleop interface for all ground robot exercises in the JdeRobot Robotics Academy

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-rqt-ground-robot-teleop//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
